USN-4308-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4308-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4308-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4308-1
Related
Published
2020-03-19T17:18:55.649924Z
Modified
2020-03-19T17:18:55.649924Z
Summary
twisted vulnerabilities
Details

it was discovered that Twisted incorrectly validated or sanitized certain URIs or HTTP methods. A remote attacker could use this issue to inject invalid characters and possibly perform header injection attacks. (CVE-2019-12387)

It was discovered that Twisted incorrectly verified XMPP TLS certificates. A remote attacker could possibly use this issue to perform a machine-in-the-middle attack and obtain sensitive information. (CVE-2019-12855)

It was discovered that Twisted incorrectly handled HTTP/2 connections. A remote attacker could possibly use this issue to cause Twisted to hang or consume resources, leading to a denial of service. This issue only affected Ubuntu 18.04 LTS and Ubuntu 19.10. (CVE-2019-9512, CVE-2019-9514, CVE-2019-9515)

Jake Miller and ZeddYu Lu discovered that Twisted incorrectly handled certain content-length headers. A remote attacker could possibly use this issue to perform HTTP request splitting attacks. (CVE-2020-10108, CVE-2020-10109)

References

Affected packages

Ubuntu:18.04:LTS / twisted

Package

Name
twisted

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
17.9.0-2ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "twisted-doc": "17.9.0-2ubuntu0.1",
            "python-twisted-names": "17.9.0-2ubuntu0.1",
            "python-twisted-words": "17.9.0-2ubuntu0.1",
            "python3-twisted": "17.9.0-2ubuntu0.1",
            "python-twisted-runner": "17.9.0-2ubuntu0.1",
            "python3-twisted-bin": "17.9.0-2ubuntu0.1",
            "python-twisted-mail": "17.9.0-2ubuntu0.1",
            "python-twisted-web": "17.9.0-2ubuntu0.1",
            "python-twisted-core": "17.9.0-2ubuntu0.1",
            "python-twisted-conch": "1:17.9.0-2ubuntu0.1",
            "python-twisted": "17.9.0-2ubuntu0.1",
            "python-twisted-news": "17.9.0-2ubuntu0.1",
            "python-twisted-bin": "17.9.0-2ubuntu0.1"
        }
    ]
}

Ubuntu:16.04:LTS / twisted

Package

Name
twisted

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
16.0.0-1ubuntu0.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "twisted-doc": "16.0.0-1ubuntu0.4",
            "python-twisted-names": "16.0.0-1ubuntu0.4",
            "python-twisted-words": "16.0.0-1ubuntu0.4",
            "python3-twisted": "16.0.0-1ubuntu0.4",
            "python-twisted-core": "16.0.0-1ubuntu0.4",
            "python-twisted-mail": "16.0.0-1ubuntu0.4",
            "python-twisted-web": "16.0.0-1ubuntu0.4",
            "python-twisted-runner": "16.0.0-1ubuntu0.4",
            "python-twisted-bin": "16.0.0-1ubuntu0.4",
            "python-twisted-conch": "1:16.0.0-1ubuntu0.4",
            "python-twisted": "16.0.0-1ubuntu0.4",
            "python-twisted-news": "16.0.0-1ubuntu0.4"
        }
    ]
}